diff -r 0545e0dacd33 -r e4462c09aa92 libinterp/corefcn/eig.cc
--- a/libinterp/corefcn/eig.cc	Fri Jul 15 03:16:15 2016 +0200
+++ b/libinterp/corefcn/eig.cc	Mon Jul 18 10:35:58 2016 +0200
@@ -1110,15 +1110,15 @@ The eigenvalues returned by @code{eig} a
 %!error <eig: unexpected second input: qz> eig ([1 2 ; 2 3], "qz")
 %!error <wrong type argument> eig (false, [1 2 ; 2 3])
 %!error <eig: unexpected third input: abcd> eig ([1 2 ; 2 3], [1 2 ; 2 3], "abcd")
-%!error <eig: unexpected third input: qz> eig ([1 2 ; 2 3], 'balance', 'qz')
-%!error <eig: unexpected fourth input: abcd> eig ([1 2 ; 2 3], [1 2 ; 2 3], 'vector', 'abcd')
-%!error <eig: unexpected fourth input: abcd> eig ([1 2 ; 2 3], 'balance', 'matrix', 'abcd')
-%!error <eig: the combination of flags is invalid.> eig ([1 2 ; 2 3], 'balance', 'nobalance')
-%!error <eig: the combination of flags is invalid.> eig ([1 2 ; 2 3], 'nobalance', 'balance')
-%!error <eig: the combination of flags is invalid.> eig ([1 2 ; 2 3], 'matrix', 'vector')
-%!error <eig: the combination of flags is invalid.> eig ([1 2 ; 2 3], 'vector', 'matrix')
-%!error <eig: the combination of flags is invalid.> eig ([1 2 ; 2 3], [1 2 ; 2 3], 'matrix', 'vector')
-%!error <eig: the combination of flags is invalid.> eig ([1 2 ; 2 3], [1 2 ; 2 3], 'vector', 'matrix')
+%!error <eig: unexpected third input: qz> eig ([1 2 ; 2 3], "balance", "qz")
+%!error <eig: unexpected fourth input: abcd> eig ([1 2 ; 2 3], [1 2 ; 2 3], "vector", "abcd")
+%!error <eig: unexpected fourth input: abcd> eig ([1 2 ; 2 3], "balance", "matrix", "abcd")
+%!error <eig: the combination of flags is invalid.> eig ([1 2 ; 2 3], "balance", "nobalance")
+%!error <eig: the combination of flags is invalid.> eig ([1 2 ; 2 3], "nobalance", "balance")
+%!error <eig: the combination of flags is invalid.> eig ([1 2 ; 2 3], "matrix", "vector")
+%!error <eig: the combination of flags is invalid.> eig ([1 2 ; 2 3], "vector", "matrix")
+%!error <eig: the combination of flags is invalid.> eig ([1 2 ; 2 3], [1 2 ; 2 3], "matrix", "vector")
+%!error <eig: the combination of flags is invalid.> eig ([1 2 ; 2 3], [1 2 ; 2 3], "vector", "matrix")
 %!error <wrong type argument> eig ([1 2 ; 2 3], [1 2 ; 2 3], false)
 %!error <wrong type argument> eig ([1 2 ; 2 3], [1 2 ; 2 3], [1 2 ; 2 3])
 
